<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huimv.environ.eco.mapper.SysTemperatureMapper">


    <select id="listDay" resultType="com.huimv.environ.eco.entity.dto.SysTemperatureVo">


 SELECT id,ROUND(AVG(`value`),2) `value`, `create_time` `create_time`,room_id ,tem_id,farm_id
 FROM  `sys_temperature`
    ${ew.customSqlSegment}
       GROUP BY DATE_FORMAT( `create_time`, '%m-%d' )

    </select>
</mapper>
